<ion-header>

  <br>
  <div class="ms-messages-header">
    <div>
        <h5>
            messages
        </h5>
    </div>
</div>


</ion-header>

<ion-content>
   
    <ion-refresher (ionRefresh)="doRefresh($event)" slot="fixed">
      <ion-refresher-content
      pullingIcon="arrow-dropdown"
      pullingText="Pull to refresh"
      refreshingSpinner="circles"
      refreshingText="Refreshing...">
      </ion-refresher-content>
    </ion-refresher>

    <div class="ms-home-main">
        <div class="row ms-home-body  ms-messages">
            <div class="ms-home-body-content ms-full-width">
                
                <ion-list class="ms-normal-list">
                    <ion-item-sliding *ngFor="let chat of sortedArray, let idx = index" (click)="openChat(chat,idx)">

                        <ion-item>
                          <ion-label class="ms-normal-content" [ngClass]="newMsg(chat.messages[chat.count])">
                            <p class="ms-venodr-name ms-new-header"> {{chat.vendor.name}}</p>
                                <p>
                                    {{chat.messages[chat.count].content}}
                                </p>
                                <span class="ms-message-date">{{chat.messages[chat.count].createdAt | date:'MMM dd, yyyy H:mm a'}}</span>
                          </ion-label>
                          <p class="ms_new_icon" *ngIf="newMsg(chat.messages[chat.count])">•</p>
                        </ion-item>

                        <ion-item-options>
                          <ion-item-option color="danger" class="ms-msg-icon">
                            <ion-icon slot="start"  name="trash"></ion-icon>
                          </ion-item-option>
                          <ion-item-option color="medium" class="ms-msg-icon">
                            <ion-icon slot="start" name="archive"></ion-icon>
                          </ion-item-option>
                        </ion-item-options>
                      </ion-item-sliding>
                </ion-list>
            </div>
        </div>
    </div>
</ion-content>
